#!/bin/bash
#author:Cristiano Rodrigues Siqueira Soares
#descricao:Instala o Wine no Xubuntu 18 e se necessáro o Sintegra 2017.
#Revisao:

fim(){
	clear
	echo "╔═════════════════════╗"
	echo "║         FIM         ║"
	echo "╚═════════════════════╝"
	echo " "
	exit
}

recebe(){
    if [[ -e /recebe/ ]];then
		echo ""
    else
		sudo mkdir /recebe
		sudo chmod 777 /recebe/ -R
	fi
}
permrec(){
	if [[ -e /home/sig/ ]];then
		sudo chown sig:sig /recebe/ -R
	else
		sudo chown caixa:caixa /recebe/ -R
	fi
}
vsintegra(){
	echo "╔══════════════════════════════════╗"
	echo "║ Deseja instalar o Sintegra 2017? ║"
	echo "║     SIM - (1)  ||  NÃO - (2)     ║"
	echo "╚══════════════════════════════════╝"
	read -p "R: " installvs

	if [[ $installvs == '1' ]];then
		recebe
		cd /recebe/
		wget download.sigsolucoes.net.br/produtos/crss/sintegra/vs2017.exe
		permrec
		wine vs2017.exe
	elif [[ $installvs == '2' ]];then
		fim
	else
		clear
		echo "╔═════════════════════════╗"
		echo "║      Opção errada!      ║"
		echo "║  Digite a opção certa!  ║"
		echo "╚═════════════════════════╝"
		echo " "
		sleep 3
        clear
		vsintegra
	fi
}

user=`whoami`
if [[ $user == 'root' ]];then


	echo "╔══════════════════════════════╗"
	echo "║ Iniciando instalação do Wine ║"
	echo "╚══════════════════════════════╝"
	sleep 3

	#sudo dpkg --add-architecture i386
	wget -nc https://dl.winehq.org/wine-builds/Release.key
	sudo apt-key add Release.key
	apt-add-repository https://dl.winehq.org/wine-builds/ubuntu/
	sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ artful main'
	sudo apt-get install --install-recommends winehq-stable

	vsintegra
else
	clear
	echo " "
    echo "╔══════════════════════════════════════════════╗"
    echo "║ Execute este aplicatvo como Root, por favor. ║"
    echo "╚══════════════════════════════════════════════╝"
    exit
fi



: <<'COMMENT'

Caso queira ter acesso ao ambiente de desenvolvimento do Wine
do qual contém muito mais recursos do que a versão 3.0,
porém, pode ter erros nesta versão, pois ela é a versão de desenvolvimento.

Caso queira instalar, a versão atual é a 3.7.

Basta executar os comandos a baixo:

sudo apt-get install --install-recommends winehq-devel
wine --version
wine-3.0

COMMENT
